%define name		cryptix
%define version		3.2.0
%define release		3jpp
%define snapshot	20001002
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java crypto package
License:	BSD style
Url:		http://www.cryptix.org
Group:		Security/Cryptography
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}32-%{snapshot}-r%{version}.zip
Source1:	%{name}.build.script.tar.bz2
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Cryptix 3 is a cleanroom implementation of Sun's Java Cryptography
Extensions (JCE) version 1.1. In addition to that it contains the
Cryptix Provider which delivers a wide range of algorithms and support
for PGP 2.x. Cryptix 3 runs on both JDK 1.1 and JDK 1.2 (Java 2).

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
%setup -c -T -D -a1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# correct silly permissions
chmod -R go=u-w *

%build
ant jar
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.TXT README.TXT
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-3jpp 
- vendor, distribution, group tags

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 3.2.0-2jpp
- add version in javadoc dir

* Wed Dec 12 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-1jpp
- first JPackage release
